Installer - Feature #35631

Enable HTTP/2 in Apache configs
10/13/2022 05:56 PM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: foreman-installer script
Target version: 3.5.0
Difficulty: Fixed in Releases: 3.5.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-i
nstaller/pull/817

Description

By default Apache doesn't use HTTP/2 (https://httpd.apache.org/docs/current/en/mod/core.html#protocols), but it can be enabled.
HTTP/2 is a more efficient protocol, especially when serving multiple files.

Associated revisions

Revision 52bf7a31 - 10/28/2022 01:31 PM - Ewoud Kohl van Wijngaarden
Fixes #35631 - Enable HTTP/2 by default

Apache doesn't load HTTP/2 by default since it's incompatible with the
prefork MPM. We use the event MPM where it should work. Enabling HTTP/2

allows clients to retrieve resources in parallel which means pages load
faster.

History

#1 - 10/13/2022 05:57 PM - Ewoud Kohl van Wijngaarden
- Category changed from Foreman modules to foreman-installer script

- Target version set to 3.5.0

#2 - 10/26/2022 05:42 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/817 added

#3 - 10/28/2022 01:31 PM - The Foreman Bot
- Fixed in Releases 3.5.0 added

#4 - 10/28/2022 02:03 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset installer|52bf7a3121de0eee349d0502563f7b288710e35.

#5 - 11/28/2022 12:18 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes
